Blame 0023-90crypt-parse-crypt.sh-also-accept-the-beginning-of-.patch
|
Harald Hoyer |
55891e |
From 2c0b5281f558276a6bd31d7acd104196139dbc16 Mon Sep 17 00:00:00 2001
|
|
Harald Hoyer |
55891e |
From: Harald Hoyer <harald@redhat.com>
|
|
Harald Hoyer |
55891e |
Date: Tue, 30 Aug 2011 14:43:57 +0200
|
|
Harald Hoyer |
55891e |
Subject: [PATCH] 90crypt/parse-crypt.sh: also accept the beginning of the
|
|
Harald Hoyer |
55891e |
LUKS UUID
|
|
Harald Hoyer |
55891e |
|
|
Harald Hoyer |
55891e |
2e0c003435bbc0751cdf7466c0faebe7bfc7445b introduced a too strict test
|
|
Harald Hoyer |
55891e |
for LUKS UUIDs
|
|
Harald Hoyer |
55891e |
---
|
|
Harald Hoyer |
55891e |
modules.d/90crypt/parse-crypt.sh | 2 +-
|
|
Harald Hoyer |
55891e |
1 files changed, 1 insertions(+), 1 deletions(-)
|
|
Harald Hoyer |
55891e |
|
|
Harald Hoyer |
55891e |
diff --git a/modules.d/90crypt/parse-crypt.sh b/modules.d/90crypt/parse-crypt.sh
|
|
Harald Hoyer |
55891e |
index 1e78aa9..2ab3a9f 100755
|
|
Harald Hoyer |
55891e |
--- a/modules.d/90crypt/parse-crypt.sh
|
|
Harald Hoyer |
55891e |
+++ b/modules.d/90crypt/parse-crypt.sh
|
|
Harald Hoyer |
55891e |
@@ -38,7 +38,7 @@ else
|
|
Harald Hoyer |
55891e |
} > $hookdir/initqueue/finished/90-crypt.sh
|
|
Harald Hoyer |
55891e |
uuid=$luksid
|
|
Harald Hoyer |
55891e |
while [ "$uuid" != "${uuid#*-}" ]; do uuid=${uuid%%-*}${uuid#*-}; done
|
|
Harald Hoyer |
55891e |
- printf -- '[ "x${UUIDS#*:%s:}" != "x$UUIDS" ] || exit 1\n' $uuid >> $hookdir/initqueue/finished/90-crypt.sh
|
|
Harald Hoyer |
55891e |
+ printf -- '[ "x${UUIDS#*:%s*:}" != "x$UUIDS" ] || exit 1\n' $uuid >> $hookdir/initqueue/finished/90-crypt.sh
|
|
Harald Hoyer |
55891e |
|
|
Harald Hoyer |
55891e |
{
|
|
Harald Hoyer |
55891e |
printf -- '[ -e /dev/disk/by-uuid/*%s* ] || ' $luksid
|